lib = File.expand_path('../lib', __FILE__)

$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'wdi_tf/version'

Gem::Specification.new do |spec|
	spec.name                  = 'wdi_tf'
	spec.version               = WdiTf::VERSION
	spec.authors               = ["Anthony Kirby"]
	spec.email                 = 'anthony.kirby@winedirect.com'

	spec.description           = "Terraform wrapper to simply working with TF by introducing Terraform projects."
	spec.summary               = spec.description
	spec.homepage              = 'http://rubygems.org/gems/wdi_tf'
	spec.license               = 'Apache-2.0'

	spec.files                 = `git ls-files *.rb *.gemspec Gemfile exe`.split($INPUT_RECORD_SEPARATOR)
	spec.executables           = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
	spec.bindir                = 'exe'
	spec.test_files            = spec.files.grep(%r{^(test|spec|features)/})
	spec.require_paths         = %w(lib)
	
	spec.required_ruby_version = ['>= 2.2.6']
	
	spec.add_dependency 'trollop', '~> 2.1'
	
	spec.add_development_dependency 'rake', '~> 10.4'
	spec.add_development_dependency 'rspec', '~> 3.4'
end
